classification
Title: Expose the sigset_t converter via private API
Type: enhancement Stage: resolved
Components: Versions: Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: pablogsal, pitrou, serhiy.storchaka
Priority: normal Keywords: patch

Created on 2018-05-07 12:40 by serhiy.storchaka, last changed 2018-05-23 05:21 by serhiy.storchaka. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 6720 merged serhiy.storchaka, 2018-05-07 12:44
Messages (3)
msg316267 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-05-07 12:40
posix_spawn() (see issue20104) needs the converter to sigset_t defined in signalmodule.c. Since the code is not trivial, it is better to share it instead of duplicate. The proposed PR:

* Exposes the sigset_t converter via private API _Py_Sigset_Converter(). The implementation is moved to posixmodule.c.

* Uses Argument Clinic for parsing sigset_t in signalmodule.c. In particularly it causes that the first argument of signal.sigtimedwait() will be parsed before the second one.

* Make the converter always raising ValueError for signal numbers out of range 1..NSIG. OverflowError was raised before for integers out of the platform depending C long range.
msg316278 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-05-08 04:48
New changeset d54cfb160c626626394e2f171d3ccfe03309f34e by Serhiy Storchaka in branch 'master':
bpo-33441: Make the sigset_t converter available in other modules. (GH-6720)
https://github.com/python/cpython/commit/d54cfb160c626626394e2f171d3ccfe03309f34e
msg317358 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-05-23 05:21
Since posix_spawn() has been removed in 3.7, there is no need to backport this feature.
History
Date User Action Args
2018-05-23 05:21:02serhiy.storchakasetstatus: open -> closed
resolution: fixed
messages: + msg317358

stage: patch review -> resolved
2018-05-08 04:48:53serhiy.storchakasetmessages: + msg316278
2018-05-07 12:58:18serhiy.storchakalinkissue20104 dependencies
2018-05-07 12:44:53serhiy.storchakasetkeywords: + patch
stage: patch review
pull_requests: + pull_request6412
2018-05-07 12:40:56serhiy.storchakacreate